com.fasterxml.jackson.databind.cfg

## Class MutableCoercionConfig

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.CoercionConfig
  - - com.fasterxml.jackson.databind.cfg.MutableCoercionConfig

- All Implemented Interfaces:
    Serializable

      public class MutableCoercionConfig
      extends CoercionConfig
      implements Serializable

  Mutable version of `CoercionConfig` (or rather, extended API) exposed during configuration phase of `ObjectMapper` construction (via Builder).
  Since:
    2.12
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.cfg.CoercionConfig

      `_acceptBlankAsEmpty, _coercionsByShape`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MutableCoercionConfig()`
    `protected` | `MutableCoercionConfig(MutableCoercionConfig src)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MutableCoercionConfig` | `copy()`
    `MutableCoercionConfig` | `setAcceptBlankAsEmpty(Boolean state)`
    `MutableCoercionConfig` | `setCoercion(CoercionInputShape shape, CoercionAction action)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.cfg.CoercionConfig

      `findAction, getAcceptBlankAsEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableCoercionConfig

          public MutableCoercionConfig()

    - #### MutableCoercionConfig

          protected MutableCoercionConfig(MutableCoercionConfig src)

  - ### Method Detail

    - #### copy

          public MutableCoercionConfig copy()

    - #### setCoercion

          public MutableCoercionConfig setCoercion(CoercionInputShape shape,
                                                   CoercionAction action)

    - #### setAcceptBlankAsEmpty

          public MutableCoercionConfig setAcceptBlankAsEmpty(Boolean state)

Copyright © 2008–2020 FasterXML. All rights reserved.